/* 
Used to make sure we don't break UX if we don't have the necessary version of NBSDK.
*/

(function() {
  var loadNBSDK = function(version) {
    if (!version) {
      version = "nb-2.0.0.js"; // default
    }

    document.write('<' + 'script type="text/javascript" src="' + version + '"></' + 'script>'); // jshint ignore:line
  };

  var nbsdk = 'nb-2.10.0.js';
  var req = new XMLHttpRequest();
  req.onload = function() {
    if (this.status === 200) {
      loadNBSDK(nbsdk);
    } else {
      window.requiresNewerNBSDKVersionError = true;
      loadNBSDK();
    }
  };
  req.onerror = loadNBSDK;
  req.open('GET', nbsdk, false);
  req.send();

})();